# Class Nip46Receiver

#### Hierarchy (View Summary)

- Emitter
  - Nip46Receiver

- Defined in packages/signer/src/signers/nip46.ts:82

#####
Index

### Constructors

constructor

### Properties

params
signer
sub?
defaultMaxListeners

### Methods

addListener
emit
eventNames
getMaxListeners
listenerCount
listeners
off
on
once
prependListener
prependOnceListener
rawListeners
removeAllListeners
removeListener
setMaxListeners
start
stop
listenerCount

##
Constructors

### constructor

- new Nip46Receiver(signer: ISigner , params: Nip46BrokerParams ): Nip46Receiver

- #### Parameters

  - signer: ISigner
  - params: Nip46BrokerParams

  #### Returns Nip46Receiver

  Overrides Emitter.constructor

  - Defined in packages/signer/src/signers/nip46.ts:85

##
Properties

### params

params: Nip46BrokerParams

- Defined in packages/signer/src/signers/nip46.ts:85

### signer

signer: ISigner

- Defined in packages/signer/src/signers/nip46.ts:85

### `Optional` sub

sub?: Subscription

- Defined in packages/signer/src/signers/nip46.ts:83

### `Static` defaultMaxListeners

defaultMaxListeners: number

Inherited from Emitter.defaultMaxListeners

- Defined in node_modules/@types/events/index.d.ts:5

##
Methods

### addListener

- addListener(type: string | number, listener: Listener): this

- #### Parameters

  - type: string | number
  - listener: Listener

  #### Returns this

  Inherited from Emitter.addListener

  - Defined in node_modules/@types/events/index.d.ts:11

### emit

- emit(type: string, ...args: any[]): boolean

- #### Parameters

  - type: string
  - ...args: any[]

  #### Returns boolean

  Inherited from Emitter.emit

  - Defined in packages/lib/build/src/Emitter.d.ts:3

### eventNames

- eventNames(): (string | number)[]

- #### Returns (string | number)[]

  Inherited from Emitter.eventNames

  - Defined in node_modules/@types/events/index.d.ts:7

### getMaxListeners

- getMaxListeners(): number

- #### Returns number

  Inherited from Emitter.getMaxListeners

  - Defined in node_modules/@types/events/index.d.ts:9

### listenerCount

- listenerCount(type: string | number): number

- #### Parameters

  - type: string | number

  #### Returns number

  Inherited from Emitter.listenerCount

  - Defined in node_modules/@types/events/index.d.ts:20

### listeners

- listeners(type: string | number): Listener[]

- #### Parameters

  - type: string | number

  #### Returns Listener[]

  Inherited from Emitter.listeners

  - Defined in node_modules/@types/events/index.d.ts:19

### off

- off(type: string | number, listener: Listener): this

- #### Parameters

  - type: string | number
  - listener: Listener

  #### Returns this

  Inherited from Emitter.off

  - Defined in node_modules/@types/events/index.d.ts:17

### on

- on(type: string | number, listener: Listener): this

- #### Parameters

  - type: string | number
  - listener: Listener

  #### Returns this

  Inherited from Emitter.on

  - Defined in node_modules/@types/events/index.d.ts:12

### once

- once(type: string | number, listener: Listener): this

- #### Parameters

  - type: string | number
  - listener: Listener

  #### Returns this

  Inherited from Emitter.once

  - Defined in node_modules/@types/events/index.d.ts:13

### prependListener

- prependListener(type: string | number, listener: Listener): this

- #### Parameters

  - type: string | number
  - listener: Listener

  #### Returns this

  Inherited from Emitter.prependListener

  - Defined in node_modules/@types/events/index.d.ts:14

### prependOnceListener

- prependOnceListener(type: string | number, listener: Listener): this

- #### Parameters

  - type: string | number
  - listener: Listener

  #### Returns this

  Inherited from Emitter.prependOnceListener

  - Defined in node_modules/@types/events/index.d.ts:15

### rawListeners

- rawListeners(type: string | number): Listener[]

- #### Parameters

  - type: string | number

  #### Returns Listener[]

  Inherited from Emitter.rawListeners

  - Defined in node_modules/@types/events/index.d.ts:21

### removeAllListeners

- removeAllListeners(type?: string | number): this

- #### Parameters

  - `Optional` type: string | number

  #### Returns this

  Inherited from Emitter.removeAllListeners

  - Defined in node_modules/@types/events/index.d.ts:18

### removeListener

- removeListener(type: string | number, listener: Listener): this

- #### Parameters

  - type: string | number
  - listener: Listener

  #### Returns this

  Inherited from Emitter.removeListener

  - Defined in node_modules/@types/events/index.d.ts:16

### setMaxListeners

- setMaxListeners(n: number): this

- #### Parameters

  - n: number

  #### Returns this

  Inherited from Emitter.setMaxListeners

  - Defined in node_modules/@types/events/index.d.ts:8

### start

- start(): Promise<void>

- #### Returns Promise<void>

  - Defined in packages/signer/src/signers/nip46.ts:89

### stop

- stop(): void

- #### Returns void

  - Defined in packages/signer/src/signers/nip46.ts:118

### `Static` listenerCount

- listenerCount(emitter: EventEmitter, type: string | number): number

- #### Parameters

  - emitter: EventEmitter
  - type: string | number

  #### Returns number

  Inherited from Emitter.listenerCount

  - Defined in node_modules/@types/events/index.d.ts:4